
Core - Bug # 24835

Status: Closed Priority: Should have
Author: Sven Juergens Category:
Created: 2011-01-26 Assigned To:
Updated: 2013-06-01 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Missing and old  Icons in "DB check -> Record Statistics"
Description

there are no Icons in "DB check -> Record Statistics" under the point  "Document types" and some old Icons under "Pages:"

the problem is the use of  "$PAGES_TYPES[$setup1]['icon']" to set the icons, but $PAGE_TYPES has no array key ['icon'] anymore,
maybe it's removed by integration of Sprites.

please have a look at the patch, because it don't know if this is the right way to get the Icons

There is still another Problem with the count of the Items, but this should be an other issue
(issue imported from #M17339)

Related issues:
related to Core - Bug # 23559: Sprite API: Missing icon "Undelete and edit" i... Closed 2010-09-18

Associated revisions
Revision 83c396eb - 2011-04-12 14:20 - Sven Juergens 

[BUGFIX] Missing sprite icons in module db check > record statistics

The module DB check > Record statistics is using old icons for
pages. Additionally the icons for the different doktypes are
broken.

Change-Id: I64de9b55bf0a2fe32378aa9ce9c7bf3756da1224
Resolves: #24835
Releases: 4.6, 4.5, 4.4
Reviewed-on: http://review.typo3.org/1530
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision 02ac2a49 - 2011-04-16 16:39 - Sven Juergens 

[BUGFIX] Missing sprite icons in module db check > record statistics

The module DB check > Record statistics is using old icons for
pages. Additionally the icons for the different doktypes are
broken.

Change-Id: I5b368b46699699406bb5fed99a8ac10619b14598
Resolves: #24835
Releases: 4.6, 4.5, 4.4
Reviewed-on: http://review.typo3.org/1535
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 849818a3 - 2011-04-16 16:39 - Sven Juergens 

[BUGFIX] Missing sprite icons in module db check > record statistics

The module DB check > Record statistics is using old icons for
pages. Additionally the icons for the different doktypes are
broken.

Change-Id: I3e56d0579cbbba045229b86cbccf59d927a62a17
Resolves: #24835
Releases: 4.6, 4.5, 4.4
Reviewed-on: http://review.typo3.org/1534
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2011-01-26 18:28 - Sven Juergens

v2 patch against trunk 10336

#2 - 2011-02-14 15:18 - Ralle Büchnitz

running trunk rev. 10457

The icons in section Document Types are still missing.

Path to icons (not working) and all the same for each document type icon

    -  "../../../gfx/i/"

#3 - 2011-04-10 09:38 - Mr. Hudson

Patch set 1 of change I64de9b55bf0a2fe32378aa9ce9c7bf3756da1224 has been pushed to the review server.
It is available at http://review.typo3.org/1530

#4 - 2011-04-10 09:39 - Susanne Moog
- Status changed from New to Under Review
- Target version changed from 0 to 1061
#5 - 2011-04-10 10:55 - Mr. Hudson

Patch set 2 of change I64de9b55bf0a2fe32378aa9ce9c7bf3756da1224 has been pushed to the review server.
It is available at http://review.typo3.org/1530

#6 - 2011-04-10 10:56 - Mr. Hudson

Patch set 1 of change I3e56d0579cbbba045229b86cbccf59d927a62a17 has been pushed to the review server.
It is available at http://review.typo3.org/1534

#7 - 2011-04-10 10:57 - Mr. Hudson

Patch set 3 of change I64de9b55bf0a2fe32378aa9ce9c7bf3756da1224 has been pushed to the review server.
It is available at http://review.typo3.org/1530

#8 - 2011-04-10 11:02 - Mr. Hudson

Patch set 1 of change I5b368b46699699406bb5fed99a8ac10619b14598 has been pushed to the review server.
It is available at http://review.typo3.org/1535

#9 - 2011-04-10 14:14 - Sven Juergens

hi Susanne, 
please can use the updated patch from the old Core maillinglist ?
I dont know how to do that with Gerrit/git (at the Moment).

#10 - 2011-04-10 14:34 - Mr. Hudson

Patch set 4 of change I64de9b55bf0a2fe32378aa9ce9c7bf3756da1224 has been pushed to the review server.
It is available at http://review.typo3.org/1530

#11 - 2011-04-10 14:35 - Susanne Moog

Hi Sven,

took your v2 and pushed for master. Will change the branch patches when the master patch gets through.

If you need help with learning Git and Gerrit don't hesitate to ask on the mailing lists.

#12 - 2011-04-10 15:18 - Sven Juergens

Hi Susanne,

thanks for the hint. :)
But at the Moment i haven't got time, to learn the worklflow with Git and Gerrit. I only see the email and want to give the hint for an updated version from
Steffen Ritter in the mailinglist, with more time come gerrit/git/TYPO3 Core etc :)
#13 - 2011-04-12 14:30 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:83c396eb1d866073a206161568033a012b8e1e56.

#14 - 2011-05-26 22:16 - Oliver Hader
- Status changed from Resolved to Closed

#15 - 2013-06-01 14:19 - Ernesto Baschny
- Target version deleted (1061)

Files
17339.diff 2.4 kB 2011-01-26 Administrator Admin
17339_v2.diff 2.5 kB 2011-01-26 Administrator Admin
